import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const removeAvicaltureRequestService = createAsyncThunk(
  "REMOVE_AVICALTURE_REQUEST_SERVICE",
  async (id, { dispatch }) => {
    dispatch(LOADING_START());
    try {
      const { data, status } = await axios.delete("Poultry_Request/" + id);
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
